Loading...
Searching...
No Matches
RU_matrix.h File Reference

Contains the Gudhi::persistence_matrix::RU_matrix class. More...

Go to the source code of this file.

## Classes

class | Gudhi::persistence_matrix::RU_matrix< Master_matrix >
| Matrix structure to store the ordered boundary matrix \( R \cdot U \) of a filtered complex in order to compute its persistent homology, as well as representative cycles. Supports vineyards (see [vineyards]) and the removal of maximal cells while maintaining a valid barcode. Provides an access to its columns and rows. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains the Gudhi::persistence_matrix::RU_matrix class.

Author
  Hannah Schreiber